import { authorize } from '@tarojs/taro';
import { createApp } from 'vue';
import './app.less';
import { useProviders } from './hooks/common/useProvider';
import { useCalling } from './hooks/store/video/useCalling';
import { useAuthCheck } from './hooks/user/useAuthCheck';

const App = createApp({
  onShow () {},
  // 入口组件不需要实现 render 方法，即使实现了也会被 taro 所覆盖
  setup() {
    useAuthCheck();
    useProviders(useCalling);
    authorize({
      scope: 'scope.camera'
    })
  }
})

export default App
