import { connectSocket, onSocketOpen, sendSocketMessage } from "@tarojs/taro"
import { timer } from "rxjs";
import { useInjector } from "../../common/useInjector";
import { useAuthStore } from "../auth/useAuthStore";

export function useSocket() {

  const { user } = useInjector(useAuthStore);
  
  const init = (url: string) => {
    connectSocket({url});
    startHeartConnect()
  }

  const startHeartConnect = () => {
    const data = JSON.stringify({
      msgMainFlag:"Heart", 
      fromID: user.value.id, 
      fromName: user.value.nickname,
      toID: '0'
    })
    onSocketOpen( () => {
      timer(0, 5000)
        .subscribe( _ => {
          sendSocketMessage({ data })
        })
    })
  }

  return {
    init
  }
}